/*******************************************************************************
 * Copyright (c) 2000, 2015 IBM Corporation and others.
 *
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

/*******************************************************************************
 * Modified by Xilinx,Inc
 * Copyright 2022 Xilinx, Inc. All Rights Reserved. Modifications
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 *******************************************************************************/

package org.eclipse.tcf.core;

import org.eclipse.tcf.dap.IStatus;

public class Status implements IStatus {

    /**
     * Constant used to indicate an unknown plugin id.
     */
    private static final String unknownId = "unknown"; //$NON-NLS-1$
    private int code;
    public static final int OK = 0;

    protected void setCode(int code) {
        this.code = code;
    }

    /**
     * A standard OK status with an "ok" message.
     *
     * @since 3.0
     */
    public static final IStatus OK_STATUS = new Status(OK);

    public Status (int code){
        setCode(code);

    }

    @Override
    public IStatus[] getChildren() {
        return new IStatus[0];
    }

    @Override
    public int getCode() {
        return 0;
    }

    @Override
    public Throwable getException() {
        return null;
    }

    @Override
    public String getMessage() {
        return null;
    }

    @Override
    public String getPlugin() {
        return null;
    }

    @Override
    public int getSeverity() {
        return 0;
    }

    @Override
    public boolean isMultiStatus() {
        return false;
    }

    @Override
    public boolean isOK() {
        return false;
    }

    @Override
    public boolean matches(int severityMask) {
        return false;
    }
}